Subject: Re: bug#32731: 26.1.50; Ibuffer filter by mode: Handle >1 mode names

From: Noam Postavsky <[email-masked]>
Date: Sat, 15 Sep 2018 08:42:54 -0400

Tino Calancha <[email-masked]> writes:

> BTW, I've noticed following commit is missing in the release branch:
> 'Make ibuffer filters idempotent'
> (ee6fe8378a28444cb4913abca4af742f736e9b45)
>
> I suggest we backport it.
> Then, I am OK with the next patch (which uses that commit):

Shouldn't this patch be going into master anyway (since it's adding a
new feature)?

> +  (cond ((null (cdr modes)) (ibuffer-filter-by-used-mode (car modes)))
> +        (t (let ((composed-filter

We should handle the (null modes) case too, but otherwise looks good to
me.